Skip to main content
GET
/
api
/
v2.1
/
calendar
/
ma
Returns the mergers and acquisitions data
curl --request GET \
  --url 'https://api.benzinga.com/api/v2.1/calendar/ma?token=' \
  --header 'accept: <accept>'
{
  "ma": [
    {
      "acquirer_cusip": "594918104",
      "acquirer_exchange": "NASDAQ",
      "acquirer_isin": "US5949181045",
      "acquirer_name": "Microsoft Corporation",
      "acquirer_ticker": "MSFT",
      "currency": "USD",
      "date": "2024-01-09",
      "date_completed": "2024-06-15",
      "date_expected": "2024-06-30",
      "deal_payment_type": "Cash",
      "deal_size": "68700000000",
      "deal_status": "Completed",
      "deal_terms_extra": "All-cash transaction",
      "deal_type": "Merger",
      "id": "60a7f5e8e4b0f5a3c8e9f5ac",
      "importance": 5,
      "notes": "Subject to regulatory approval",
      "target_cusip": "00507V109",
      "target_exchange": "NASDAQ",
      "target_isin": "US00507V1098",
      "target_name": "Activision Blizzard Inc.",
      "target_ticker": "ATVI",
      "updated": 1704819600
    }
  ]
}

Authorizations

token
string
query
required

Headers

accept
enum<string>
default:application/json
required

Specifies return format. Query parameters work the same for both formats

Available options:
application/json

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date

pagesize
integer

Number of results returned. Limit 1000

parameters[date]
string<YYYY-MM-DD>

Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest

parameters[date_from]
string<YYYY-MM-DD>

Date to query from point in time

parameters[date_to]
string<YYYY-MM-DD>

Date to query to point in time

parameters[importance]
enum<integer>

The importance level to filter by. Uses Greater Than or Equal To the importance indicated

Available options:
0,
1,
2,
3,
4,
5
parameters[tickers]
string<csv>

One or more ticker symbols separated by a comma. Maximum 50 tickers

parameters[updated]
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

parameters[date_sort]
enum<string>

M&A date field to sort on (newest to oldest for expected and completed; oldest to newest for announced)

Available options:
expected,
completed,
announced

Response

success

API response containing an array of M&A records

ma
object[]